Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command.action
Class InvokeWindowCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand
                      org.jboss.portal.core.model.portal.command.PageCommand
                          org.jboss.portal.core.model.portal.command.WindowCommand
                              org.jboss.portal.core.model.portal.command.action.InvokeWindowCommand

Direct Known Subclasses:
  InvokePortletWindowCommand, InvokePortletWindowResourceCommand

    public abstract class InvokeWindowCommand

extends WindowCommand

Version:
  $Revision: 11549 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`window`

Fields inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`page`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`portal`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`InvokeWindowCommand(PortalObjectId windowId)`

Method Summary
`protected abstract org.jboss.portal.portlet.controller.request.ContainerRequest` | `createPortletRequest(org.jboss.portal.portlet.info.PortletInfo portletInfo, org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNS, org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState windowNS)`
`ControllerResponse` | `execute()` Execute the command.

Methods inherited from class org.jboss.portal.core.model.portal.command.WindowCommand
`enforceSecurity, getWindow, initPage`

Methods inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`getPage, initPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`acquireResources, getPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, getContext, getControllerContext, getInfo, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokeWindowCommand

    public InvokeWindowCommand(PortalObjectId windowId)
                        throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### createPortletRequest

    protected abstract org.jboss.portal.portlet.controller.request.ContainerRequest createPortletRequest(org.jboss.portal.portlet.info.PortletInfo portletInfo,
                                                                                                         org.jboss.portal.portlet.controller.state.PortletPageNavigationalState pageNS,
                                                                                                         org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState windowNS)

### execute

    public ControllerResponse execute()
                               throws ControllerException

  Description copied from class: `ControllerCommand`
  Execute the command.

  Specified by:
    `execute` in class `ControllerCommand`
  Throws:
    `ControllerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD